GET
/
wallets
/
{walletId}
/
balances
Get per-network balances for a wallet
curl --request GET \
  --url https://api.balansas.com/functions/v1/customer-api/wallets/{walletId}/balances \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "network": "ethereum",
      "address": "0xAbC1234567890dEf1234567890AbCdEf12345678",
      "native_symbol": "ETH",
      "tokens": [
        {
          "asset": "USDC",
          "value": "100.00",
          "raw_value": "100000000",
          "frozen_value": "0",
          "usd_value": "100.00"
        }
      ]
    }
  ]
}

Authorizations

x-api-key
string
header
required

Customer API key. Send as x-api-key: sk_... or Authorization: Bearer sk_.... Write operations also require an X-CSRF-Token header (64-char hex).

Response

Success

data
object[]
required